Sessions
List sessions
GET
/
v1
/
sessions
List sessions
curl --request GET \
--url https://api.veri.studio/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"environment_version": 123,
"status": "<string>",
"awake_seconds": 123,
"total_cost_usd": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"budget_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"error_message": "<string>"
}
],
"has_more": true
}List sessions
curl --request GET \
--url https://api.veri.studio/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"environment_version": 123,
"status": "<string>",
"awake_seconds": 123,
"total_cost_usd": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"budget_usd": 123,
"started_at": "2023-11-07T05:31:56Z",
"last_active_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z",
"failure_code": "<string>",
"error_message": "<string>"
}
],
"has_more": true
}
